#characters,
.characters {
  overflow: hidden;
}

.characters__nav {
  width: 100%;
  height: 116px;

  @media (--medium) {
    height: 112px;
    padding: 0 10px;
  }
}

.characters__list {
  width: 100%;
  height: 100%;
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;

  @media (--medium) {
    flex-wrap: wrap;
  }
}

.characters__list-item {
  flex: 0 0 25%;
  height: 100%;
  position: relative;

  @media (--medium) {
    height: 50%;
    flex: 0 0 50%;
    border: 1px solid rgba(250, 234, 211, 0.15);

    &:nth-child(1),
    &:nth-child(2) {
      border-bottom: 0;
    }

    &:nth-child(2n) {
      border-left: 0;
    }
  }

  &:not(:last-child) button {
    border-right-color: transparent;
  }

  &:not(:first-child) button {
    border-left-color: transparent;
  }

  &:last-child button::after {
    display: none;
  }

  &:hover button {
    border-color: rgba(250, 234, 211, 1);

    &::after {
      opacity: 0;
    }

    &::before {
      height: 62px;
      margin-top: -31px;
    }
  }

  &:hover + li button {
    border-left-color: rgba(250, 234, 211, 1);
  }

  &::after,
  &::before {
    content: '';
    display: block;
    position: absolute;
    top: 50%;

    @media (--medium) {display: none;}
  }

  &::before {
    right: 14px;
    width: 0;
    height: 0;
    border-left: 21px solid #faead3;
    border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
    margin-top: -1px;
  }

  &::after {
    width: 1px;
    height: 4px;
    right: 36px;
    margin-top: -2px;
    background-color: #faead3;
  }
}

.characters__button {
  display: block;
  width: 100%;
  height: 100%;
  border: 1px solid rgba(250, 234, 211, 0.15);
  background-color: transparent;
  padding: 0;
  outline: none;
  display: flex;
  cursor: pointer;
  position: relative;
  transition: border-color 0.3s ease 0s, background-color 0.3s ease 0s;
  will-change: border-color, background-color;

  @media (--medium) {
    border: 0;
  }

  &::after {
    content: '';
    display: block;
    position: absolute;
    right: -1px;
    width: 1px;
    top: 50%;
    margin-top: -37.5px;
    height: 75px;
    background-color: rgba(250, 234, 211, 0.15);
    transition: opacity 0.3s ease 0s;
    will-change: opacity;

    @media (--medium) {
      display: none;
    }
  }

  &::before {
    content: '';
    display: block;
    position: absolute;
    top: 50%;
    right: 39px;
    background-color: #faead3;
    height: 22px;
    width: 1px;
    margin-top: -11px;
    transition: margin-top 0.3s ease 0s, height 0.3s ease 0s, opacity 0.3s ease 0s;
    will-change: margin-top, height, opacity;

    @media (--medium) {display: none;}
  }

  & svg {
    stroke: #990000;
    transition: stroke 0.3s ease 0s;
    will-change: stroke;
  }

  &.active {
    background-color: #990000;

    & svg {
      stroke: #faead3;
    }

    & .characters__button-cross {
      opacity: 1;
    }

    &::before,
    & .characters__button-title::after {
      opacity: 0;
    }
  }
}

.characters__button-cross {
  position: absolute;
  top: 50%;
  right: 19px;
  width: 36px;
  height: 36px;
  margin-top: -18px;
  opacity: 0;
  transition: opacity 0.3s ease 0s;
  will-change: opacity;

  @media (--medium) {display: none;}
}

.characters__button-title {
  font-size: 20px;
  color: #faead3;
  line-height: 45px;

  &::after {
    width: 1px;
    content: '';
    height: 8px;
    display: block;
    background-color: #faead3;
    top: 50%;
    margin-top: -4px;
    right: 37px;
    position: absolute;
    transition: opacity 0.3s ease 0s;
    will-change: opacity;
  }

  @media (--medium) {
    font-size: 12px;
    line-height: 55px;

    &::after { display: none; }
  }
}

.characters__number {
	position: relative;
	width: 35px;
	height: 34px;
	margin: 5px 10px 0 20px;

  @media (--medium) {
    margin-left: 5px;
    margin-top: 12px;
    margin-right: 5px;
  }

	& svg {
		position: absolute;
		top: 0;
		left: 0;
		width: 35px;
		height: 34px;
	}

	& span {
		position: absolute;
		top: 50%;
    color: #faead3;
		left: 50%;
		transform: translate(-50%, -50%);
		font-size: 10px;
		line-height: 1;
	}
}

.characters__wrapper {
  width: 100%;
  height: 634px;
  margin: 36px 0 0;
  position: relative;

  @media (--medium) {
    height: auto;
    overflow: hidden;
    min-height: 140px;
  }
}

.characters__block {
  top: 0;
  left: 50%;
  width: 100%;
  height: 100%;
  position: absolute;
  transform: translateX(-50%);
  opacity: 0;
  z-index: 1;
  display: flex;
  transition: opacity 0.3s ease 0s;
  will-change: opacity;

  &.active {
    opacity: 1;
    z-index: 2;
  }

  @media (--medium) {
    display: block;

    &.active {
      position: static;
      transform: none;
    }
  }
}

.characters__figure {
  margin: 0;
  display: block;
  max-width: 100%;
  text-align: center;

  & img {
    max-width: 100%;
  }
}

.characters__block-figure {
  flex: 1 1 440px;
  margin: 0 86px 0 0;
  transform: translateX(-50px);
  opacity: 0;
  transition: transform 0.75s ease 0s, opacity 0.5s ease 0s;

  @nest .active & {
    transform: translateX(0);
    opacity: 1;
  }

  @media (--large-only) {
    margin-right: 40px;
  }

  @media (--medium) {
    margin-right: 0;
    margin-bottom: 15px;
    text-align: center;
  }

  & img {
    max-width: 100%;

    @media (--medium) {
      max-width: 40%;
    }
  }
}

.characters__block-aside {
  flex: 0 0 570px;
  transform: translateX(50px);
  opacity: 0;
  transition: transform 0.75s ease 0s, opacity 0.5s ease 0s;

  @nest .active & {
    transform: translateX(0);
    opacity: 1;
  }

  @media (--large-only) {
    flex: 0 0 460px;
  }
}

.characters__block-article {
  &:not(:last-child) {
    margin-bottom: 45px;
    border-bottom: 1px solid rgba(250, 234, 211, 0.15);
  }

  @media (--medium) {
    padding: 0 10px;
  }
}

.characters__block-article-figure {
  width: 100%;
  height: 170px;
  margin: 0 0 20px;
  background-color: #262626;

  @media (--medium) {
    height: 90px;
  }
}

.characters__block-caption {
  color: #faead3;
  font-size: 20px;
  margin: 0 0 20px;
  line-height: 30px;
  padding-left: 75px;
  position: relative;

  @media (--medium) {
    font-size: 15px;
    line-height: 25px;
  }

  &::before,
  &::after {
    content: '';
    display: block;
    position: absolute;
    left: 0;
    width: 45px;
    height: 1px;
    background-color: #262626;
  }

  &::before {
    top: 4px;
  }

  &::after {
    top: 6px;
  }
}
